# Uses of Class
bsh.classpath.BshClassPath

Packages that use BshClassPath
Package
Description
bsh.classpath

## Uses of BshClassPath in bsh.classpath

Methods in bsh.classpath that return BshClassPath
Modifier and Type
Method
Description
`static BshClassPath`
BshClassPath.`getBootClassPath()`
Get the boot path including the lib/rt.jar if possible.
`BshClassPath`
ClassManagerImpl.`getClassPath()`
Get the full blown classpath.
`static BshClassPath`
BshClassPath.`getUserClassPath()`
A BshClassPath initialized to the user path from java.class.path
Methods in bsh.classpath with parameters of type BshClassPath
Modifier and Type
Method
Description
`void`
BshClassPath.`addComponent(BshClassPath bcp)`
Add the specified BshClassPath as a component of our path.
Constructors in bsh.classpath with parameters of type BshClassPath
Modifier
Constructor
Description
``
`BshClassLoader(BshClassManager classManager, BshClassPath bcp)`